Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 520979 - nagios: should be compiled with the distro CFLAGS, CXXFLAGS, ...
Summary: nagios: should be compiled with the distro CFLAGS, CXXFLAGS, ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-03 01:45 UTC by Jose Pedro Oliveira
Modified: 2010-03-09 03:37 UTC (History)
5 users (show)

Fixed In Version: nagios-3.2.0-4.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-09 03:16:00 UTC
Type: ---


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2009-09-03 01:45:43 UTC
Description of problem:
The build process of Nagios 3.2.0-2 didn't use the distro CFLAGS. 

Version-Release number of selected component (if applicable):
nagios-3.2.0-2

How reproducible:
Always

Expected results:
Inherit the RPM_OPT_FLAGS flags 

Additional info:
Build log of the F-11 build
http://kojipkgs.fedoraproject.org/packages/nagios/3.2.0/2.fc11/data/logs/i586/build.log

Solution:
Replace ./configure by %configure in the %build section

Comment 1 Jose Pedro Oliveira 2009-09-03 01:53:29 UTC
It affects all CVS branches: Fedora (nagios3) and EPEL (nagios2).

Comment 2 Jose Pedro Oliveira 2009-09-25 02:21:23 UTC
ping (easy fix)

Comment 3 Jose Pedro Oliveira 2009-10-11 02:00:19 UTC
ping -c 2

Comment 4 Bug Zapper 2009-11-16 11:56:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Jose Pedro Oliveira 2009-12-17 23:23:25 UTC
ping -c 3

Comment 6 Peter Lemenkov 2010-02-25 10:12:37 UTC
I'll take care of this issue

Comment 7 Fedora Update System 2010-02-25 12:16:42 UTC
nagios-3.2.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nagios-3.2.0-4.fc12

Comment 8 Fedora Update System 2010-02-25 12:17:08 UTC
nagios-3.2.0-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nagios-3.2.0-4.fc13

Comment 9 Fedora Update System 2010-02-25 12:17:31 UTC
nagios-3.2.0-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nagios-3.2.0-4.fc11

Comment 10 Fedora Update System 2010-02-26 03:36:34 UTC
nagios-3.2.0-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nagios'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-2903

Comment 11 Fedora Update System 2010-02-26 03:37:39 UTC
nagios-3.2.0-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nagios'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-2917

Comment 12 Fedora Update System 2010-02-26 03:45:37 UTC
nagios-3.2.0-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nagios'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-2957

Comment 13 Fedora Update System 2010-03-09 03:15:32 UTC
nagios-3.2.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-03-09 03:27:06 UTC
nagios-3.2.0-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-03-09 03:36:39 UTC
nagios-3.2.0-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.